package com.engine.salary.service.impl;

import com.engine.core.impl.Service;
import com.engine.salary.biz.SalarySobItemHideBiz;
import com.engine.salary.entity.salarysob.po.SalarySobItemHidePO;
import com.engine.salary.service.SalarySobItemHideService;

import java.util.List;

public class SalarySobItemHideServiceImpl extends Service implements SalarySobItemHideService {

    private SalarySobItemHideBiz salarySobItemHideMapper = new SalarySobItemHideBiz();

    @Override
    public List<Long> listHideGroupBysalarySobId(SalarySobItemHidePO salarySobPO) {
        return salarySobItemHideMapper.listHideItemIds(salarySobPO);
    }

    @Override
    public List<SalarySobItemHidePO> listSome(SalarySobItemHidePO po) {
        return salarySobItemHideMapper.listSome(po);
    }

    @Override
    public void updateById(SalarySobItemHidePO salarySobItemHidePO) {
        salarySobItemHideMapper.update(salarySobItemHidePO);
    }
}
